HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.GetCustomersCustomerBalanceTransactionsTransaction

Contains the different functions to run the operation getCustomersCustomerBalanceTransactionsTransaction

  • 2 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports4
  • LanguageHaskell2010
  • LicenceMIT
  • SourceGetCustomersCustomerBalanceTransactionsTransaction.hs
valuegetCustomersCustomerBalanceTransactionsTransaction
  1. :: MonadHTTP m
  2. => GetCustomersCustomerBalanceTransactionsTransactionParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> ClientT m (Response GetCustomersCustomerBalanceTransactionsTransactionResponse)

    Monadic computation which returns the result of the operation

#
GET /v1/customers/{customer}/balance_transactions/{transaction}

<p>Retrieves a specific customer balance transaction that updated the customer’s <a href="/docs/billing/customer/balance">balances</a>.</p>

Defines the object schema located at paths./v1/customers/{customer}/balance_transactions/{transaction}.GET.parameters in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation getCustomersCustomerBalanceTransactionsTransaction.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), GetCustomersCustomerBalanceTransactionsTransactionResponseError is used.

Instances2Eq, Show